Name:          lxqt-runner
Version:       2.2.0
Release:       1mamba
Summary:       A GUI that comes up on the desktop and allows for launching applications or shutting down the system
Group:         Graphical Desktop/Applications/Environment
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/lxqt/lxqt-runner
Source:        https://github.com/lxqt/lxqt-runner.git/%{version}/lxqt-runner-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Gui
BuildRequires: libQt6Widgets
BuildRequires: libQt6Xml
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libkf6-kwindowsystem-devel
BuildRequires: liblayer-shell-qt-devel
BuildRequires: liblxqt-devel
BuildRequires: liblxqt-globalkeys-devel
BuildRequires: libmuparser-devel
BuildRequires: libqtxdg-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtsvg-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
lxqt-runner provides a GUI that comes up on the desktop and allows for launching applications or shutting down the system.


%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name} --with-qt --all-name

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/lxqt-runner.desktop
%{_bindir}/lxqt-runner
%{_mandir}/man1/lxqt-runner.1*
%doc AUTHORS LICENSE

%changelog
* Sat Apr 26 2025 Automatic Build System <autodist@openmamba.org> 2.2.0-1mamba
- automatic version update by autodist

* Fri Jan 31 2025 Automatic Build System <autodist@openmamba.org> 2.1.2-1mamba
- automatic version update by autodist

* Sun Jan 12 2025 Automatic Build System <autodist@openmamba.org> 2.1.1-1mamba
- automatic version update by autodist

* Tue Nov 12 2024 Automatic Build System <autodist@openmamba.org> 2.1.0-1mamba
- automatic version update by autodist

* Fri Apr 26 2024 Automatic Build System <autodist@openmamba.org> 2.0.0-1mamba
- automatic version update by autodist

* Mon Nov 06 2023 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Wed Apr 19 2023 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Fri Nov 11 2022 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Wed Apr 20 2022 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Wed Nov 24 2021 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Sun Apr 18 2021 Automatic Build System <autodist@mambasoft.it> 0.17.0-1mamba
- automatic version update by autodist

* Sun Nov 08 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.0-1mamba
- package created using the webbuild interface
